Skip to content

List human handoff destinations

GET
/v1/human-reps
curl --request GET \
--url 'https://api.vocapable.com/v1/human-reps?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string

Successful Response

Media typeapplication/json
CursorPage[HumanRep]
object
data
required
Data
Array<object>
HumanRep
object
id
required
Id
string
display_name
required
Display Name
string
destination_e164
required
Destination E164
string
user_id
Any of:
string
status
required
Status
string
Allowed values: active inactive
transfer_enabled
required
Transfer Enabled
boolean
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"status": "active"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}